import jada.tuple.*;
import jada.client.TupleClient;
import java.applet.Applet;
import java.awt.*;

public class PingApplet extends Applet implements Runnable {
	TupleSpace tuple_space=null;
	List list=null;

	public void init() {
		tuple_space=new TupleClient(getCodeBase().getHost());
		setLayout(new BorderLayout());
		list=new List(10, false);
		add("Center", list);
	}

	public void start() {
		new Thread(this).start();
	}	

	public void run() {
		while(true) {
			Tuple in=tuple_space.in(new Tuple("ping", new Integer(0).getClass()));
			int cnt=((Integer)in.getItem(1)).intValue();
			tuple_space.out(new Tuple("pong", new Integer(cnt+1)));
			list.addItem(in.toString());
			list.makeVisible(list.countItems()-1);
		}
	}
}
