/*
 * Pong test applet to be used with Ping.class to test Jada
 * with a web browser
 *
 * Note: you need a link to the jada dir hierarchy. I already put
 * one that points .. if your jada classes are elsewhere, change it!
 *
 * (C) 1996 Davide Rossi
 */
  

import java.net.URL;
import java.awt.*;
import java.lang.Thread;
import java.applet.Applet;
import jada.tuple.Tuple;
import jada.client.TupleClient;

public class PongApplet extends Applet implements Runnable {
	//the remote tuple space
	TupleClient tuple_space=null;
	//the output list widget
	List l=null;

	public void init() {
		//the tuple server must be on the same host the applet
		//is load from
		URL base=getCodeBase();
		tuple_space=new TupleClient(base.getHost());

		setLayout(new BorderLayout());
		l=new List(10, false);
		add("Center", l);
	}

	public void start() {
		new Thread(this).start();
	}

	public void run() {
		int cnt=0;
		while(true) {
			tuple_space.in(new Tuple("(ping)"));
			tuple_space.out(new Tuple("(pong)"));
			l.addItem("ping "+cnt++);
		}
	}
}
